import React, { Component } from "react";
import Spin from 'antd/lib/spin';
import "./index.less";

export default class Dashboard2Container extends Component {
    constructor(props) {
        super(props);
        this.state = {
            menuClick: false
        };
    }

    componentWillMount() {
        
    }

    navigationClick() {
        this.setState({ menuClick: false });
        setTimeout(()=>this.setState({ menuClick: true }), 3000);
    }

    render() {
        const { menuClick } = this.state;
        if (menuClick) {
            return (
                <div className="my-dashboard2">
                    <h1>Dashboard 2 REACT!!!</h1>
                </div>
            );
        }
        return <div><Spin /></div>;
    }
}
